#pragma once

#include "stdafx.h"

using namespace std;

wstring WExtractFileName(wstring wstr); 
wstring WExtractDirectory(wstring wstr); 
std::wstring int2wstr(int orig);
int wstr2int(std::wstring& wstr);
bool FileExists(string str); 
string ExtractFileName(string str); 
string ExtractDirectory(string str); 
size_t CI_CompareW(wstring Ext,wstring InputFile);
size_t CI_Compare(string a,string b);
wchar_t* copywchar_t(wchar_t* wcstr);
char* CopyCharArray(const char* orig);
wstring cpywstr(wstring wstr); 
string cpystr(string str);
double CharArray2Double(char* c);
int CharArray2Int(char* c);
char* Double2CharArray(double x);
char* Int2CharArray(int x);
char* Str2CharArray(string s);
string CharArray2Str(char * a);
wchar_t* wstr2wchar_t(wstring wstr);
wstring wchar_t2wstr(wchar_t * wcstr);
std::string wstr2str(wstring str);
std::wstring str2wstr(const std::string& str);
wchar_t* cwchar_t2wchar_t(const wchar_t* cwcstr);
char* wchar_t2CharArray(wchar_t* wcstr);
wchar_t* CharArray2wchar_t(char* cstr);
template <typename T>
string HexStrToIntStr(T arg);
template <typename T>
char Str2Char(T arg);
template <typename T>
float Str2Float(T arg);
template <typename T>
string IntStrToHexStr(T arg);
template <typename T>
int HexToInt(T arg);
template <typename T>
std::string IntToHex(T arg);
template <typename T>
unsigned int Str2Int(T arg);
template <typename T>
std::string Int2Str(T arg);
template <typename T>
unsigned int wstr2int(T arg);
template <typename T>
std::wstring int2wstr(T arg);
template <typename T>
char* Int2Char(T arg);
void wait ( int seconds );














































































































































































































































































